@ECHO OFF
setlocal EnableDelayedExpansion

SET in=%XTEST%\data
SET common=..\..\common
SET out=_out

 
for %%f in (%XTEST%\data\*.xml) DO (
	rd /q/s _temp
	mkdir _temp
        call setxqvar "/monographs/*[1]/@dx_id/string()" _ID %%f
	call setxqvar "/monographs/*[1]/title/string()"  _TITLE %%f
	call setxqvar "/monographs/*[1]/name()" _TYPE %%f
       
        REM echo _ID !_ID! TITLE !_TITLE! TYPE !_TYPE!
	echo ^<html^>^<body^>^<H1^>!_TITLE!^</H1^> > %out%\!_ID!.html
        call xquery -q:q1.xquery -s:%common%\pages.xml type=!_TYPE! > _temp\q1.txt

	for /F %%q in (_temp\q1.txt) DO (
		echo trying query %%q
		call xquery -q:q2.xquery -s:%common%\pages.xml type=!_TYPE! name=%%q > _temp\q2.txt
		for /F %%h in (_temp\q2.txt) DO SET _EXISTS=%%h
		echo exists  !_EXISTS!
               	call xquery -q:q3.xquery -s:%common%\pages.xml type=!_TYPE! name=%%q > _temp\q3.txt
		for /F "delims=" %%h in (_temp\q3.txt) DO SET _PGTITLE=%%h
		
		echo title !_PGTITLE!
		set pgname=!_ID!-%%q.html
		call setxqvar "fn:exists(!_EXISTS!)" _EX %%f
		if !_EX!==true (
			echo Query page exists %%q
			echo running to pagename !pgname!
			xquery -q:%common%\%%q.xquery -s:%%f | xslt -xsl:%common%\xtext2html.xslt -s:- >_out\!pgname!
			echo ^<A href="!pgname!"^>!_PGTITLE!^</A^>^<BR/^> >> %out%\!_ID!.html
		)
        )


	echo ^</body^>^</html^> >> %out%\!_ID!.html
)

